Skip to main content
POST
/
robots
/
{robotId}
/
navigation
/
waypoints
Sends a list of waypoints to a robot
curl --request POST \
  --url https://api.inorbit.ai/robots/{robotId}/navigation/waypoints \
  --header 'Content-Type: application/json' \
  --header 'x-auth-inorbit-app-key: <api-key>' \
  --data '
{
  "waypoints": [
    {
      "x": 123,
      "y": 123,
      "theta": 123,
      "frameId": "<string>"
    }
  ]
}
'
{
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://inorbitinc.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Path Parameters

robotId
string
required

The robot's id

Body

application/json

Waypoints list

A navigation waypoint request

waypoints
object[]
required

Response

Waypoints sent to the robot successfully.

Response to a successfully issued navigation command

message
string
required

Additional data about the command execution, like for example if the robot was automatically locked.